diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/lte-ffr-algorithm.cc ns-3.42/src/lte/model/lte-ffr-algorithm.cc
--- ns-3.41/src/lte/model/lte-ffr-algorithm.cc	2024-02-09 14:44:08.185792200 -0800
+++ ns-3.42/src/lte/model/lte-ffr-algorithm.cc	2024-05-29 15:29:47.116073600 -0700
@@ -29,12 +29,12 @@
 
 NS_LOG_COMPONENT_DEFINE("LteFfrAlgorithm");
 
-/// Type 0 RGB allocation
+/// Type 0 RBG allocation
 static const int Type0AllocationRbg[4] = {
-    10,  // RGB size 1
-    26,  // RGB size 2
-    63,  // RGB size 3
-    110, // RGB size 4
+    10,  // RBG size 1
+    26,  // RBG size 2
+    63,  // RBG size 3
+    110, // RBG size 4
 };       // see table 7.1.6.1-1 of 3GPP TS 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(LteFfrAlgorithm);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/lte-ffr-distributed-algorithm.h ns-3.42/src/lte/model/lte-ffr-distributed-algorithm.h
--- ns-3.41/src/lte/model/lte-ffr-distributed-algorithm.h	2024-02-09 14:44:08.185792200 -0800
+++ ns-3.42/src/lte/model/lte-ffr-distributed-algorithm.h	2024-05-29 15:29:47.116073600 -0700
@@ -96,16 +96,16 @@
      */
     void SetUplinkConfiguration(uint16_t cellId, uint8_t bandwidth);
     /**
-     * Initialize down link RGB maps function
+     * Initialize down link RBG maps function
      */
     void InitializeDownlinkRbgMaps();
     /**
-     * Initialize up link RGB maps function
+     * Initialize up link RBG maps function
      */
     void InitializeUplinkRbgMaps();
 
     /**
-     * Initialize up link RGB maps function
+     * Initialize up link RBG maps function
      *
      * \param rnti the RNTI
      * \param cellId the cell ID
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/lte-rlc-am.cc ns-3.42/src/lte/model/lte-rlc-am.cc
--- ns-3.41/src/lte/model/lte-rlc-am.cc	2024-02-09 14:44:08.189792200 -0800
+++ ns-3.42/src/lte/model/lte-rlc-am.cc	2024-05-29 15:29:47.116073600 -0700
@@ -212,7 +212,7 @@
         return;
     }
 
-    if (m_statusPduRequested && !m_statusProhibitTimer.IsRunning())
+    if (m_statusPduRequested && !m_statusProhibitTimer.IsPending())
     {
         if (txOpParams.bytes < m_statusPduBufferSize)
         {
@@ -340,7 +340,7 @@
                         m_pollSn = m_vtS - 1;
                         NS_LOG_LOGIC("New POLL_SN = " << m_pollSn);
 
-                        if (!m_pollRetransmitTimer.IsRunning())
+                        if (!m_pollRetransmitTimer.IsPending())
                         {
                             NS_LOG_LOGIC("Start PollRetransmit timer");
 
@@ -728,7 +728,7 @@
         m_pollSn = m_vtS - 1;
         NS_LOG_LOGIC("New POLL_SN = " << m_pollSn);
 
-        if (!m_pollRetransmitTimer.IsRunning())
+        if (!m_pollRetransmitTimer.IsPending())
         {
             NS_LOG_LOGIC("Start PollRetransmit timer");
 
@@ -884,7 +884,7 @@
             m_statusPduRequested = true;
             m_statusPduBufferSize = 4;
 
-            if (!m_statusProhibitTimer.IsRunning())
+            if (!m_statusProhibitTimer.IsPending())
             {
                 DoReportBufferStatus();
             }
@@ -1018,7 +1018,7 @@
         //     - if VR(X) falls outside of the receiving window and VR(X) is not equal to VR(MR):
         //         - stop and reset t-Reordering;
 
-        if (m_reorderingTimer.IsRunning())
+        if (m_reorderingTimer.IsPending())
         {
             NS_LOG_LOGIC("Reordering timer is running");
             if ((m_vrX == m_vrR) || ((!IsInsideReceivingWindow(m_vrX)) && (m_vrX != m_vrMr)))
@@ -1035,7 +1035,7 @@
         //         - start t-Reordering;
         //         - set VR(X) to VR(H).
 
-        if (!m_reorderingTimer.IsRunning())
+        if (!m_reorderingTimer.IsPending())
         {
             NS_LOG_LOGIC("Reordering timer is not running");
             if (m_vrH > m_vrR)
@@ -1076,7 +1076,7 @@
 
             uint16_t seqNumberValue = sn.GetValue();
 
-            if (m_pollRetransmitTimer.IsRunning() && (seqNumberValue == m_pollSn.GetValue()))
+            if (m_pollRetransmitTimer.IsPending() && (seqNumberValue == m_pollSn.GetValue()))
             {
                 m_pollRetransmitTimer.Cancel();
             }
@@ -1665,7 +1665,7 @@
     r.retxQueueSize = m_retxBufferSize + m_txedBufferSize;
     r.retxQueueHolDelay = retxQueueHolDelay.GetMilliSeconds();
 
-    if (m_statusPduRequested && !m_statusProhibitTimer.IsRunning())
+    if (m_statusPduRequested && !m_statusProhibitTimer.IsPending())
     {
         r.statusPduSize = m_statusPduBufferSize;
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/lte-rlc-um.cc ns-3.42/src/lte/model/lte-rlc-um.cc
--- ns-3.41/src/lte/model/lte-rlc-um.cc	2024-02-09 14:44:08.281792900 -0800
+++ ns-3.42/src/lte/model/lte-rlc-um.cc	2024-05-29 15:29:47.120073600 -0700
@@ -357,7 +357,7 @@
             firstSegment = m_txBuffer.begin()->m_pdu->Copy();
             firstSegmentTime = m_txBuffer.begin()->m_waitingSince;
             m_txBufferSize -= firstSegment->GetSize();
-            m_txBuffer.erase(m_txBuffer.begin());
+            m_txBuffer.pop_front();
             NS_LOG_LOGIC("        txBufferSize = " << m_txBufferSize);
         }
     }
@@ -584,7 +584,7 @@
     //    - if VR(UX) <= VR(UR); or
     //    - if VR(UX) falls outside of the reordering window and VR(UX) is not equal to VR(UH)::
     //        - stop and reset t-Reordering;
-    if (m_reorderingTimer.IsRunning())
+    if (m_reorderingTimer.IsPending())
     {
         NS_LOG_LOGIC("Reordering timer is running");
 
@@ -600,7 +600,7 @@
     //    - if VR(UH) > VR(UR):
     //        - start t-Reordering;
     //        - set VR(UX) to VR(UH).
-    if (!m_reorderingTimer.IsRunning())
+    if (!m_reorderingTimer.IsPending())
     {
         NS_LOG_LOGIC("Reordering timer is not running");
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/lte-rlc-um.h ns-3.42/src/lte/model/lte-rlc-um.h
--- ns-3.41/src/lte/model/lte-rlc-um.h	2024-02-09 14:44:08.281792900 -0800
+++ ns-3.42/src/lte/model/lte-rlc-um.h	2024-05-29 15:29:47.120073600 -0700
@@ -25,6 +25,7 @@
 
 #include <ns3/event-id.h>
 
+#include <deque>
 #include <map>
 
 namespace ns3
@@ -121,7 +122,7 @@
         Time m_waitingSince; ///< Layer arrival time
     };
 
-    std::vector<TxPdu> m_txBuffer;              ///< Transmission buffer
+    std::deque<TxPdu> m_txBuffer;               ///< Transmission buffer
     std::map<uint16_t, Ptr<Packet>> m_rxBuffer; ///< Reception buffer
     std::vector<Ptr<Packet>> m_reasBuffer;      ///< Reassembling buffer
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/lte-rrc-header.cc ns-3.42/src/lte/model/lte-rrc-header.cc
--- ns-3.41/src/lte/model/lte-rrc-header.cc	2024-02-09 14:44:08.321793000 -0800
+++ ns-3.42/src/lte/model/lte-rrc-header.cc	2024-05-29 15:29:47.120073600 -0700
@@ -3983,12 +3983,10 @@
             case 1:
                 // Deserialize measObjectUTRA
                 // ...
-                break;
 
             case 2:
                 // Deserialize measObjectGERAN
                 // ...
-                break;
 
             case 3:
                 // Deserialize measObjectCDMA2000
@@ -5878,7 +5876,7 @@
 LteRrcSap::RrcConnectionReconfiguration
 RrcConnectionReconfigurationHeader::GetMessage() const
 {
-    LteRrcSap::RrcConnectionReconfiguration msg;
+    LteRrcSap::RrcConnectionReconfiguration msg{};
 
     msg.rrcTransactionIdentifier = m_rrcTransactionIdentifier;
     msg.haveMeasConfig = m_haveMeasConfig;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/lte-ue-phy.cc ns-3.42/src/lte/model/lte-ue-phy.cc
--- ns-3.41/src/lte/model/lte-ue-phy.cc	2024-02-09 14:44:08.325793000 -0800
+++ ns-3.42/src/lte/model/lte-ue-phy.cc	2024-05-29 15:29:47.120073600 -0700
@@ -1467,10 +1467,10 @@
         m_dlBandwidth = dlBandwidth;
 
         static const int Type0AllocationRbg[4] = {
-            10,  // RGB size 1
-            26,  // RGB size 2
-            63,  // RGB size 3
-            110, // RGB size 4
+            10,  // RBG size 1
+            26,  // RBG size 2
+            63,  // RBG size 3
+            110, // RBG size 4
         };       // see table 7.1.6.1-1 of 36.213
         for (int i = 0; i < 4; i++)
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/lte-ue-rrc.cc ns-3.42/src/lte/model/lte-ue-rrc.cc
--- ns-3.41/src/lte/model/lte-ue-rrc.cc	2024-02-09 14:44:08.325793000 -0800
+++ ns-3.42/src/lte/model/lte-ue-rrc.cc	2024-05-29 15:29:47.120073600 -0700
@@ -43,6 +43,7 @@
 
 namespace ns3
 {
+const Time UE_MEASUREMENT_REPORT_DELAY = MicroSeconds(1);
 
 NS_LOG_COMPONENT_DEFINE("LteUeRrc");
 
@@ -900,7 +901,6 @@
 
     case IDLE_WAIT_MIB_SIB1:
         // MIB has not been received, so ignore this SIB1
-        break;
 
     default: // e.g. IDLE_START, IDLE_CELL_SEARCH, IDLE_WAIT_MIB, IDLE_WAIT_SIB2
         // do nothing
@@ -1061,7 +1061,7 @@
         {
             NS_LOG_INFO("haveMobilityControlInfo == true");
             SwitchToState(CONNECTED_HANDOVER);
-            if (m_radioLinkFailureDetected.IsRunning())
+            if (m_radioLinkFailureDetected.IsPending())
             {
                 ResetRlfParams();
             }
@@ -2814,7 +2814,7 @@
     NS_ASSERT(!measReportIt->second.cellsTriggeredList.empty());
 
     // #issue 224, schedule only when there is no periodic event scheduled already
-    if (!measReportIt->second.periodicReportTimer.IsRunning())
+    if (!measReportIt->second.periodicReportTimer.IsPending())
     {
         measReportIt->second.numberOfReportsSent = 0;
         measReportIt->second.periodicReportTimer =
@@ -3272,8 +3272,6 @@
     case CONNECTED_HANDOVER:
     case CONNECTED_PHY_PROBLEM:
     case CONNECTED_REESTABLISHING:
-        break;
-
     default:
         break;
     }
@@ -3314,7 +3312,7 @@
     {
         m_radioLinkFailureDetected =
             Simulator::Schedule(m_t310, &LteUeRrc::RadioLinkFailureDetected, this);
-        if (m_radioLinkFailureDetected.IsRunning())
+        if (m_radioLinkFailureDetected.IsPending())
         {
             NS_LOG_INFO("t310 started");
         }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/lte-ue-rrc.h ns-3.42/src/lte/model/lte-ue-rrc.h
--- ns-3.41/src/lte/model/lte-ue-rrc.h	2024-02-09 14:44:08.325793000 -0800
+++ ns-3.42/src/lte/model/lte-ue-rrc.h	2024-05-29 15:29:47.120073600 -0700
@@ -60,7 +60,7 @@
  *  - time-to-trigger check is always performed before the reporting, so there
  *    would still be chance for it to cancel the reporting if necessary.
  */
-static const Time UE_MEASUREMENT_REPORT_DELAY = MicroSeconds(1);
+extern const Time UE_MEASUREMENT_REPORT_DELAY;
 
 class LteRlc;
 class LteMacSapProvider;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/pf-ff-mac-scheduler.cc ns-3.42/src/lte/model/pf-ff-mac-scheduler.cc
--- ns-3.41/src/lte/model/pf-ff-mac-scheduler.cc	2024-02-09 14:44:08.325793000 -0800
+++ ns-3.42/src/lte/model/pf-ff-mac-scheduler.cc	2024-05-29 15:29:47.120073600 -0700
@@ -38,10 +38,10 @@
 
 /// PF type 0 allocation RBG
 static const int PfType0AllocationRbg[4] = {
-    10,  // RGB size 1
-    26,  // RGB size 2
-    63,  // RGB size 3
-    110, // RGB size 4
+    10,  // RBG size 1
+    26,  // RBG size 2
+    63,  // RBG size 3
+    110, // RBG size 4
 };       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(PfFfMacScheduler);
@@ -1054,7 +1054,7 @@
             // Set to max value, to avoid divide by 0 below
             lcActives = (uint16_t)65535; // UINT16_MAX;
         }
-        uint16_t RgbPerRnti = (*itMap).second.size();
+        uint16_t RbgPerRnti = (*itMap).second.size();
         auto itCqi = m_a30CqiRxed.find((*itMap).first);
         auto itTxMode = m_uesTxMode.find((*itMap).first);
         if (itTxMode == m_uesTxMode.end())
@@ -1122,7 +1122,7 @@
         for (uint8_t j = 0; j < nLayer; j++)
         {
             newDci.m_mcs.push_back(m_amc->GetMcsFromCqi(worstCqi.at(j)));
-            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RgbPerRnti * rbgSize) /
+            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RbgPerRnti * rbgSize) /
                           8); // (size of TB in bytes according to table 7.1.7.2.1-1 of 36.213)
             newDci.m_tbsSize.push_back(tbSize);
             NS_LOG_INFO(this << " Layer " << (uint16_t)j << " MCS selected"
@@ -2120,7 +2120,7 @@
 PfFfMacScheduler::TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode)
 {
     NS_LOG_FUNCTION(this << " RNTI " << rnti << " txMode " << (uint16_t)txMode);
-    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params;
+    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params{};
     params.m_rnti = rnti;
     params.m_transmissionMode = txMode;
     m_cschedSapUser->CschedUeConfigUpdateInd(params);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/pss-ff-mac-scheduler.cc ns-3.42/src/lte/model/pss-ff-mac-scheduler.cc
--- ns-3.41/src/lte/model/pss-ff-mac-scheduler.cc	2024-02-09 14:44:08.329793200 -0800
+++ ns-3.42/src/lte/model/pss-ff-mac-scheduler.cc	2024-05-29 15:29:47.120073600 -0700
@@ -41,10 +41,10 @@
 
 /// PSS type 0 allocation RBG
 static const int PssType0AllocationRbg[4] = {
-    10,  // RGB size 1
-    26,  // RGB size 2
-    63,  // RGB size 3
-    110, // RGB size 4
+    10,  // RBG size 1
+    26,  // RBG size 2
+    63,  // RBG size 3
+    110, // RBG size 4
 };       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(PssFfMacScheduler);
@@ -1378,7 +1378,7 @@
             // Set to max value, to avoid divide by 0 below
             lcActives = (uint16_t)65535; // UINT16_MAX;
         }
-        uint16_t RgbPerRnti = (*itMap).second.size();
+        uint16_t RbgPerRnti = (*itMap).second.size();
         auto itCqi = m_a30CqiRxed.find((*itMap).first);
         auto itTxMode = m_uesTxMode.find((*itMap).first);
         if (itTxMode == m_uesTxMode.end())
@@ -1446,7 +1446,7 @@
         for (uint8_t j = 0; j < nLayer; j++)
         {
             newDci.m_mcs.push_back(m_amc->GetMcsFromCqi(worstCqi.at(j)));
-            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RgbPerRnti * rbgSize) /
+            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RbgPerRnti * rbgSize) /
                           8); // (size of TB in bytes according to table 7.1.7.2.1-1 of 36.213)
             newDci.m_tbsSize.push_back(tbSize);
             NS_LOG_INFO(this << " Layer " << (uint16_t)j << " MCS selected"
@@ -2421,7 +2421,7 @@
 PssFfMacScheduler::TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode)
 {
     NS_LOG_FUNCTION(this << " RNTI " << rnti << " txMode " << (uint16_t)txMode);
-    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params;
+    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params{};
     params.m_rnti = rnti;
     params.m_transmissionMode = txMode;
     m_cschedSapUser->CschedUeConfigUpdateInd(params);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/rr-ff-mac-scheduler.cc ns-3.42/src/lte/model/rr-ff-mac-scheduler.cc
--- ns-3.41/src/lte/model/rr-ff-mac-scheduler.cc	2024-02-09 14:44:08.329793200 -0800
+++ ns-3.42/src/lte/model/rr-ff-mac-scheduler.cc	2024-05-29 15:29:47.120073600 -0700
@@ -40,10 +40,10 @@
 
 /// Type 0 allocation RBG
 static const int Type0AllocationRbg[4] = {
-    10,  // RGB size 1
-    26,  // RGB size 2
-    63,  // RGB size 3
-    110, // RGB size 4
+    10,  // RBG size 1
+    26,  // RBG size 2
+    63,  // RBG size 3
+    110, // RBG size 4
 };       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(RrFfMacScheduler);
@@ -1092,7 +1092,7 @@
         if (rbgAllocatedNum == rbgNum)
         {
             m_nextRntiDl = newEl.m_rnti; // store last RNTI served
-            break;                       // no more RGB to be allocated
+            break;                       // no more RBG to be allocated
         }
     } while ((*it).m_rnti != m_nextRntiDl);
 
@@ -1834,7 +1834,7 @@
 RrFfMacScheduler::TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode)
 {
     NS_LOG_FUNCTION(this << " RNTI " << rnti << " txMode " << (uint16_t)txMode);
-    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params;
+    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params{};
     params.m_rnti = rnti;
     params.m_transmissionMode = txMode;
     m_cschedSapUser->CschedUeConfigUpdateInd(params);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/tdbet-ff-mac-scheduler.cc ns-3.42/src/lte/model/tdbet-ff-mac-scheduler.cc
--- ns-3.41/src/lte/model/tdbet-ff-mac-scheduler.cc	2024-02-09 14:44:08.329793200 -0800
+++ ns-3.42/src/lte/model/tdbet-ff-mac-scheduler.cc	2024-05-29 15:29:47.120073600 -0700
@@ -39,10 +39,10 @@
 
 /// TDBET type 0 allocation RBG
 static const int TdBetType0AllocationRbg[4] = {
-    10,  // RGB size 1
-    26,  // RGB size 2
-    63,  // RGB size 3
-    110, // RGB size 4
+    10,  // RBG size 1
+    26,  // RBG size 2
+    63,  // RBG size 3
+    110, // RBG size 4
 };       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(TdBetFfMacScheduler);
@@ -960,7 +960,7 @@
             // Set to max value, to avoid divide by 0 below
             lcActives = (uint16_t)65535; // UINT16_MAX;
         }
-        uint16_t RgbPerRnti = (*itMap).second.size();
+        uint16_t RbgPerRnti = (*itMap).second.size();
         auto itCqi = m_p10CqiRxed.find((*itMap).first);
         auto itTxMode = m_uesTxMode.find((*itMap).first);
         if (itTxMode == m_uesTxMode.end())
@@ -981,7 +981,7 @@
                 newDci.m_mcs.push_back(m_amc->GetMcsFromCqi((*itCqi).second));
             }
 
-            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RgbPerRnti * rbgSize) /
+            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RbgPerRnti * rbgSize) /
                           8); // (size of TB in bytes according to table 7.1.7.2.1-1 of 36.213)
             newDci.m_tbsSize.push_back(tbSize);
             bytesTxed += tbSize;
@@ -1943,7 +1943,7 @@
 TdBetFfMacScheduler::TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode)
 {
     NS_LOG_FUNCTION(this << " RNTI " << rnti << " txMode " << (uint16_t)txMode);
-    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params;
+    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params{};
     params.m_rnti = rnti;
     params.m_transmissionMode = txMode;
     m_cschedSapUser->CschedUeConfigUpdateInd(params);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/tdmt-ff-mac-scheduler.cc ns-3.42/src/lte/model/tdmt-ff-mac-scheduler.cc
--- ns-3.41/src/lte/model/tdmt-ff-mac-scheduler.cc	2024-02-09 14:44:08.329793200 -0800
+++ ns-3.42/src/lte/model/tdmt-ff-mac-scheduler.cc	2024-05-29 15:29:47.120073600 -0700
@@ -39,10 +39,10 @@
 
 /// TDMT type 0 allocation RBG
 static const int TdMtType0AllocationRbg[4] = {
-    10,  // RGB size 1
-    26,  // RGB size 2
-    63,  // RGB size 3
-    110, // RGB size 4
+    10,  // RBG size 1
+    26,  // RBG size 2
+    63,  // RBG size 3
+    110, // RBG size 4
 };       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(TdMtFfMacScheduler);
@@ -965,7 +965,7 @@
             // Set to max value, to avoid divide by 0 below
             lcActives = (uint16_t)65535; // UINT16_MAX;
         }
-        uint16_t RgbPerRnti = (*itMap).second.size();
+        uint16_t RbgPerRnti = (*itMap).second.size();
         auto itCqi = m_p10CqiRxed.find((*itMap).first);
         auto itTxMode = m_uesTxMode.find((*itMap).first);
         if (itTxMode == m_uesTxMode.end())
@@ -984,7 +984,7 @@
                 newDci.m_mcs.push_back(m_amc->GetMcsFromCqi((*itCqi).second));
             }
 
-            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RgbPerRnti * rbgSize) /
+            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RbgPerRnti * rbgSize) /
                           8); // (size of TB in bytes according to table 7.1.7.2.1-1 of 36.213)
             newDci.m_tbsSize.push_back(tbSize);
         }
@@ -1894,7 +1894,7 @@
 TdMtFfMacScheduler::TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode)
 {
     NS_LOG_FUNCTION(this << " RNTI " << rnti << " txMode " << (uint16_t)txMode);
-    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params;
+    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params{};
     params.m_rnti = rnti;
     params.m_transmissionMode = txMode;
     m_cschedSapUser->CschedUeConfigUpdateInd(params);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/tdtbfq-ff-mac-scheduler.cc ns-3.42/src/lte/model/tdtbfq-ff-mac-scheduler.cc
--- ns-3.41/src/lte/model/tdtbfq-ff-mac-scheduler.cc	2024-02-09 14:44:08.329793200 -0800
+++ ns-3.42/src/lte/model/tdtbfq-ff-mac-scheduler.cc	2024-05-29 15:29:47.120073600 -0700
@@ -40,10 +40,10 @@
 
 /// TDTBFQ type 0 allocation RBG
 static const int TdTbfqType0AllocationRbg[4] = {
-    10,  // RGB size 1
-    26,  // RGB size 2
-    63,  // RGB size 3
-    110, // RGB size 4
+    10,  // RBG size 1
+    26,  // RBG size 2
+    63,  // RBG size 3
+    110, // RBG size 4
 };       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(TdTbfqFfMacScheduler);
@@ -1106,7 +1106,7 @@
             // Set to max value, to avoid divide by 0 below
             lcActives = (uint16_t)65535; // UINT16_MAX;
         }
-        uint16_t RgbPerRnti = (*itMap).second.size();
+        uint16_t RbgPerRnti = (*itMap).second.size();
         auto itCqi = m_a30CqiRxed.find((*itMap).first);
         auto itTxMode = m_uesTxMode.find((*itMap).first);
         if (itTxMode == m_uesTxMode.end())
@@ -1164,7 +1164,7 @@
         for (uint8_t j = 0; j < nLayer; j++)
         {
             newDci.m_mcs.push_back(m_amc->GetMcsFromCqi(worstCqi.at(j)));
-            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RgbPerRnti * rbgSize) /
+            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RbgPerRnti * rbgSize) /
                           8); // (size of TB in bytes according to table 7.1.7.2.1-1 of 36.213)
             newDci.m_tbsSize.push_back(tbSize);
             bytesTxed += tbSize;
@@ -2124,7 +2124,7 @@
 TdTbfqFfMacScheduler::TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode)
 {
     NS_LOG_FUNCTION(this << " RNTI " << rnti << " txMode " << (uint16_t)txMode);
-    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params;
+    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params{};
     params.m_rnti = rnti;
     params.m_transmissionMode = txMode;
     m_cschedSapUser->CschedUeConfigUpdateInd(params);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/tta-ff-mac-scheduler.cc ns-3.42/src/lte/model/tta-ff-mac-scheduler.cc
--- ns-3.41/src/lte/model/tta-ff-mac-scheduler.cc	2024-02-09 14:44:08.329793200 -0800
+++ ns-3.42/src/lte/model/tta-ff-mac-scheduler.cc	2024-05-29 15:29:47.120073600 -0700
@@ -39,10 +39,10 @@
 
 /// TTA type 0 allocation RBG
 static const int TtaType0AllocationRbg[4] = {
-    10,  // RGB size 1
-    26,  // RGB size 2
-    63,  // RGB size 3
-    110, // RGB size 4
+    10,  // RBG size 1
+    26,  // RBG size 2
+    63,  // RBG size 3
+    110, // RBG size 4
 };       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(TtaFfMacScheduler);
@@ -996,7 +996,7 @@
             // Set to max value, to avoid divide by 0 below
             lcActives = (uint16_t)65535; // UINT16_MAX;
         }
-        uint16_t RgbPerRnti = (*itMap).second.size();
+        uint16_t RbgPerRnti = (*itMap).second.size();
         auto itCqi = m_a30CqiRxed.find((*itMap).first);
         auto itTxMode = m_uesTxMode.find((*itMap).first);
         if (itTxMode == m_uesTxMode.end())
@@ -1063,7 +1063,7 @@
         for (uint8_t j = 0; j < nLayer; j++)
         {
             newDci.m_mcs.push_back(m_amc->GetMcsFromCqi(worstCqi.at(j)));
-            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RgbPerRnti * rbgSize) /
+            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RbgPerRnti * rbgSize) /
                           8); // (size of TB in bytes according to table 7.1.7.2.1-1 of 36.213)
             newDci.m_tbsSize.push_back(tbSize);
             NS_LOG_INFO(this << " Layer " << (uint16_t)j << " MCS selected"
@@ -1975,7 +1975,7 @@
 TtaFfMacScheduler::TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode)
 {
     NS_LOG_FUNCTION(this << " RNTI " << rnti << " txMode " << (uint16_t)txMode);
-    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params;
+    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params{};
     params.m_rnti = rnti;
     params.m_transmissionMode = txMode;
     m_cschedSapUser->CschedUeConfigUpdateInd(params);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/epc-test-gtpu.cc ns-3.42/src/lte/test/epc-test-gtpu.cc
--- ns-3.41/src/lte/test/epc-test-gtpu.cc	2024-02-09 14:44:08.329793200 -0800
+++ ns-3.42/src/lte/test/epc-test-gtpu.cc	2024-05-29 15:29:47.124073500 -0700
@@ -33,9 +33,9 @@
  */
 
 EpsGtpuTestSuite::EpsGtpuTestSuite()
-    : TestSuite("epc-gtpu", SYSTEM)
+    : TestSuite("epc-gtpu", Type::SYSTEM)
 {
-    AddTestCase(new EpsGtpuHeaderTestCase(), TestCase::QUICK);
+    AddTestCase(new EpsGtpuHeaderTestCase(), TestCase::Duration::QUICK);
 }
 
 static EpsGtpuTestSuite epsGtpuTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/epc-test-s1u-downlink.cc ns-3.42/src/lte/test/epc-test-s1u-downlink.cc
--- ns-3.41/src/lte/test/epc-test-s1u-downlink.cc	2024-02-09 14:44:08.329793200 -0800
+++ ns-3.42/src/lte/test/epc-test-s1u-downlink.cc	2024-05-29 15:29:47.124073500 -0700
@@ -267,14 +267,14 @@
 } g_epcS1uDlTestSuiteInstance;
 
 EpcS1uDlTestSuite::EpcS1uDlTestSuite()
-    : TestSuite("epc-s1u-downlink", SYSTEM)
+    : TestSuite("epc-s1u-downlink", Type::SYSTEM)
 {
     std::vector<EnbDlTestData> v1;
     EnbDlTestData e1;
     UeDlTestData f1(1, 100);
     e1.ues.push_back(f1);
     v1.push_back(e1);
-    AddTestCase(new EpcS1uDlTestCase("1 eNB, 1UE", v1), TestCase::QUICK);
+    AddTestCase(new EpcS1uDlTestCase("1 eNB, 1UE", v1), TestCase::Duration::QUICK);
 
     std::vector<EnbDlTestData> v2;
     EnbDlTestData e2;
@@ -283,12 +283,12 @@
     UeDlTestData f2_2(2, 200);
     e2.ues.push_back(f2_2);
     v2.push_back(e2);
-    AddTestCase(new EpcS1uDlTestCase("1 eNB, 2UEs", v2), TestCase::QUICK);
+    AddTestCase(new EpcS1uDlTestCase("1 eNB, 2UEs", v2), TestCase::Duration::QUICK);
 
     std::vector<EnbDlTestData> v3;
     v3.push_back(e1);
     v3.push_back(e2);
-    AddTestCase(new EpcS1uDlTestCase("2 eNBs", v3), TestCase::QUICK);
+    AddTestCase(new EpcS1uDlTestCase("2 eNBs", v3), TestCase::Duration::QUICK);
 
     EnbDlTestData e3;
     UeDlTestData f3_1(3, 50);
@@ -301,33 +301,37 @@
     v4.push_back(e3);
     v4.push_back(e1);
     v4.push_back(e2);
-    AddTestCase(new EpcS1uDlTestCase("3 eNBs", v4), TestCase::QUICK);
+    AddTestCase(new EpcS1uDlTestCase("3 eNBs", v4), TestCase::Duration::QUICK);
 
     std::vector<EnbDlTestData> v5;
     EnbDlTestData e5;
     UeDlTestData f5(10, 3000);
     e5.ues.push_back(f5);
     v5.push_back(e5);
-    AddTestCase(new EpcS1uDlTestCase("1 eNB, 10 pkts 3000 bytes each", v5), TestCase::QUICK);
+    AddTestCase(new EpcS1uDlTestCase("1 eNB, 10 pkts 3000 bytes each", v5),
+                TestCase::Duration::QUICK);
 
     std::vector<EnbDlTestData> v6;
     EnbDlTestData e6;
     UeDlTestData f6(50, 3000);
     e6.ues.push_back(f6);
     v6.push_back(e6);
-    AddTestCase(new EpcS1uDlTestCase("1 eNB, 50 pkts 3000 bytes each", v6), TestCase::QUICK);
+    AddTestCase(new EpcS1uDlTestCase("1 eNB, 50 pkts 3000 bytes each", v6),
+                TestCase::Duration::QUICK);
 
     std::vector<EnbDlTestData> v7;
     EnbDlTestData e7;
     UeDlTestData f7(10, 15000);
     e7.ues.push_back(f7);
     v7.push_back(e7);
-    AddTestCase(new EpcS1uDlTestCase("1 eNB, 10 pkts 15000 bytes each", v7), TestCase::QUICK);
+    AddTestCase(new EpcS1uDlTestCase("1 eNB, 10 pkts 15000 bytes each", v7),
+                TestCase::Duration::QUICK);
 
     std::vector<EnbDlTestData> v8;
     EnbDlTestData e8;
     UeDlTestData f8(100, 15000);
     e8.ues.push_back(f8);
     v8.push_back(e8);
-    AddTestCase(new EpcS1uDlTestCase("1 eNB, 100 pkts 15000 bytes each", v8), TestCase::QUICK);
+    AddTestCase(new EpcS1uDlTestCase("1 eNB, 100 pkts 15000 bytes each", v8),
+                TestCase::Duration::QUICK);
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/epc-test-s1u-uplink.cc ns-3.42/src/lte/test/epc-test-s1u-uplink.cc
--- ns-3.41/src/lte/test/epc-test-s1u-uplink.cc	2024-02-09 14:44:08.329793200 -0800
+++ ns-3.42/src/lte/test/epc-test-s1u-uplink.cc	2024-05-29 15:29:47.124073500 -0700
@@ -508,14 +508,14 @@
 } g_epcS1uUlTestSuiteInstance;
 
 EpcS1uUlTestSuite::EpcS1uUlTestSuite()
-    : TestSuite("epc-s1u-uplink", SYSTEM)
+    : TestSuite("epc-s1u-uplink", Type::SYSTEM)
 {
     std::vector<EnbUlTestData> v1;
     EnbUlTestData e1;
     UeUlTestData f1(1, 100, 1, 1);
     e1.ues.push_back(f1);
     v1.push_back(e1);
-    AddTestCase(new EpcS1uUlTestCase("1 eNB, 1UE", v1), TestCase::QUICK);
+    AddTestCase(new EpcS1uUlTestCase("1 eNB, 1UE", v1), TestCase::Duration::QUICK);
 
     std::vector<EnbUlTestData> v2;
     EnbUlTestData e2;
@@ -524,12 +524,12 @@
     UeUlTestData f2_2(2, 200, 2, 1);
     e2.ues.push_back(f2_2);
     v2.push_back(e2);
-    AddTestCase(new EpcS1uUlTestCase("1 eNB, 2UEs", v2), TestCase::QUICK);
+    AddTestCase(new EpcS1uUlTestCase("1 eNB, 2UEs", v2), TestCase::Duration::QUICK);
 
     std::vector<EnbUlTestData> v3;
     v3.push_back(e1);
     v3.push_back(e2);
-    AddTestCase(new EpcS1uUlTestCase("2 eNBs", v3), TestCase::QUICK);
+    AddTestCase(new EpcS1uUlTestCase("2 eNBs", v3), TestCase::Duration::QUICK);
 
     EnbUlTestData e3;
     UeUlTestData f3_1(3, 50, 1, 1);
@@ -542,33 +542,37 @@
     v4.push_back(e3);
     v4.push_back(e1);
     v4.push_back(e2);
-    AddTestCase(new EpcS1uUlTestCase("3 eNBs", v4), TestCase::QUICK);
+    AddTestCase(new EpcS1uUlTestCase("3 eNBs", v4), TestCase::Duration::QUICK);
 
     std::vector<EnbUlTestData> v5;
     EnbUlTestData e5;
     UeUlTestData f5(10, 3000, 1, 1);
     e5.ues.push_back(f5);
     v5.push_back(e5);
-    AddTestCase(new EpcS1uUlTestCase("1 eNB, 10 pkts 3000 bytes each", v5), TestCase::QUICK);
+    AddTestCase(new EpcS1uUlTestCase("1 eNB, 10 pkts 3000 bytes each", v5),
+                TestCase::Duration::QUICK);
 
     std::vector<EnbUlTestData> v6;
     EnbUlTestData e6;
     UeUlTestData f6(50, 3000, 1, 1);
     e6.ues.push_back(f6);
     v6.push_back(e6);
-    AddTestCase(new EpcS1uUlTestCase("1 eNB, 50 pkts 3000 bytes each", v6), TestCase::QUICK);
+    AddTestCase(new EpcS1uUlTestCase("1 eNB, 50 pkts 3000 bytes each", v6),
+                TestCase::Duration::QUICK);
 
     std::vector<EnbUlTestData> v7;
     EnbUlTestData e7;
     UeUlTestData f7(10, 15000, 1, 1);
     e7.ues.push_back(f7);
     v7.push_back(e7);
-    AddTestCase(new EpcS1uUlTestCase("1 eNB, 10 pkts 15000 bytes each", v7), TestCase::QUICK);
+    AddTestCase(new EpcS1uUlTestCase("1 eNB, 10 pkts 15000 bytes each", v7),
+                TestCase::Duration::QUICK);
 
     std::vector<EnbUlTestData> v8;
     EnbUlTestData e8;
     UeUlTestData f8(100, 15000, 1, 1);
     e8.ues.push_back(f8);
     v8.push_back(e8);
-    AddTestCase(new EpcS1uUlTestCase("1 eNB, 100 pkts 15000 bytes each", v8), TestCase::QUICK);
+    AddTestCase(new EpcS1uUlTestCase("1 eNB, 100 pkts 15000 bytes each", v8),
+                TestCase::Duration::QUICK);
 }
